package cn.axzo.workflow.core.deletage;

import cn.axzo.workflow.common.model.request.bpmn.task.BpmnTaskDelegateAssigner;
import org.flowable.bpmn.model.UserTask;
import org.flowable.engine.delegate.DelegateExecution;

import java.util.ArrayList;
import java.util.List;

/**
 * 开发阶段的模拟审批人查询
 *
 * @author wangli
 * @since 2023/11/17 13:40
 */
public class MockTaskAssigneeSelector implements BpmnTaskAssigneeSelector {

    @Override
    public boolean support(String param) {
        return true;
    }

    @Override
    public List<BpmnTaskDelegateAssigner> select(UserTask userTask, DelegateExecution execution) {
        List<BpmnTaskDelegateAssigner> users = new ArrayList<>();
        return users;
    }
}
